QGIS Application - Bug report #8260
Point in polygon analysis fails with "TypeError: arguments did not match any overloaded call"
2013-07-10 10:54 PM - Winston Smith

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.8.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17064
Description

I am using QGIS 1.8 on Windows 7 (I've tried 1.8.0-5 and 1.8.0-7)

| want to perform a point in polygon analysis using the Vector > Analysis Tools menu.

My point layer is the result of a SpatialLite query which returns 10'000 points.

My polygon layer is a simple shapefile with about 150 different polygons. Both layers are in WGS84 (EPSG:4326).

When | click the "OK" button in the Point in Polygon tool, just nothing happens. The progress bar stays at 0%, but | cannot click "Cancel"
(i.e. nothing happens). | can click on the Close-Button in the upper right though, the window then disappears.

This works in the latest master of 1.9.
This is the output from the message log:
An error has occured while executing Python code:
Traceback (most recent call last):
File "C:\OSGeo4W\\apps\\qgis\\python\\plugins\\fTools\\tools\\doPointsInPolygon.py", line 215, in run
tmpGeom = QgsGeometry(pntFeat.geometry())
TypeError: arguments did not match any overloaded call:
QgsGeometry(): too many arguments

QgsGeometry(QgsGeometry): argument 1 has unexpected type 'NoneType'

Python version:
2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:
1.8.0-Lisboa Lisboa, f440b60

Python path: [...]

History

#1 - 2013-07-10 11:55 PM - Matthias Kuhn
- Operating System deleted (Windows)
- Affected QGIS version changed from master to 1.8.0
- OS version deleted (7)

#2 - 2013-07-11 08:25 AM - Giovanni Manghi
- Category changed from Vectors to 44

- Resolution set to invalid

- Status changed from Open to Closed

If it works on qgis master then there is nothing to do, as there are no backports.

If is not working on qgis master please reopen this ticket. Cheers!

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
